Opened 9 months ago

Closed 9 months ago

#65122 closed defect (invalid)

x265 @3.4_0: Incorrect HVEC encoder version?

Reported by: Xof (Christophe Pettus) Owned by:
Priority: Normal Milestone:
Component: ports Version: 2.7.2
Keywords: Cc:
Port: x265

Description

I am doing a clean install of ffmpeg on Catalina, 12.3.1, xcode-select version 2395. ffmpeg and x265 seem to install correctly:

% port installed x265
The following ports are currently installed:
  x265 @3.4_0 (active)
% port installed ffmpeg
The following ports are currently installed:
  ffmpeg @4.4.1_4+gpl2+nonfree (active)

However, I appear to be getting an older, 8-bit-format-only build of the actual encoder:

% x265 -V
x265 [info]: HEVC encoder version 0.0
x265 [info]: build info [Mac OS X][clang 13.0.0][64 bit] 8bit
x265 [info]: using cpu capabilities: MMX2 SSE2Fast LZCNT SSSE3 SSE4.2 AVX FMA3 BMI2 AVX2
% ffmpeg -h encoder=libx265 | grep pixel

ffmpeg version 4.4.1 Copyright (c) 2000-2021 the FFmpeg developers
  built with Apple clang version 13.1.6 (clang-1316.0.21.2.3)
  configuration: --prefix=/opt/local --enable-swscale --enable-avfilter --enable-avresample --enable-libmp3lame --enable-libvorbis --enable-libopus --enable-librsvg --enable-libtheora --enable-libopenjpeg --enable-libmodplug --enable-libvpx --enable-libsoxr --enable-libspeex --enable-libass --enable-libbluray --enable-libzvbi --enable-lzma --enable-gnutls --enable-fontconfig --enable-libfreetype --enable-libfribidi --enable-zlib --disable-libjack --disable-libopencore-amrnb --disable-libopencore-amrwb --disable-libxcb --disable-libxcb-shm --disable-libxcb-xfixes --disable-indev=jack --enable-opencl --disable-outdev=xv --enable-audiotoolbox --enable-videotoolbox --enable-sdl2 --disable-securetransport --mandir=/opt/local/share/man --enable-shared --enable-pthreads --cc=/usr/bin/clang --enable-libzimg --enable-libdav1d --arch=x86_64 --enable-x86asm --enable-libx265 --enable-gpl --enable-postproc --enable-libx264 --enable-libxvid --enable-nonfree --enable-libfdk-aac
  libavutil      56. 70.100 / 56. 70.100
  libavcodec     58.134.100 / 58.134.100
  libavformat    58. 76.100 / 58. 76.100
  libavdevice    58. 13.100 / 58. 13.100
  libavfilter     7.110.100 /  7.110.100
  libavresample   4.  0.  0 /  4.  0.  0
  libswscale      5.  9.100 /  5.  9.100
  libswresample   3.  9.100 /  3.  9.100
  libpostproc    55.  9.100 / 55.  9.100
    Supported pixel formats: yuv420p yuvj420p yuv422p yuvj422p yuv444p yuvj444p gbrp gray

I've done a complete uninstall and reinstall of all of MacPorts.

Change History (2)

comment:1 Changed 9 months ago by Xof (Christophe Pettus)

This can be closed. User error, didn't install with +highdepth.

comment:2 Changed 9 months ago by jmroot (Joshua Root)

Resolution: invalid
Status: newclosed
Note: See TracTickets for help on using tickets.